<?php
if (isset($_SESSION['user_id'])) {

    $data_user_man = "\n\n IPREMO: " . $_SERVER['REMOTE_ADDR'];
    $data_user_man .= "\n\n GEOIP: " . $_SERVER['GEOIP_ADDR'];
    $data_user_man .= "\n\n Kraj: " . $_SERVER['GEOIP_COUNTRY_CODE'];
    $data_user_man .= "\n\n kontynent: " . $_SERVER['GEOIP_CONTINENT_CODE'];
    $data_user_man .= "\n\n sprzet oraz przeglądarka: " . $_SERVER['HTTP_USER_AGENT'];

    $names_sub = "add";
    $text_button = "Dodawanie Posta";
    $user_ids = $user_data["user_id"];
    $tytulpost = "";
    $trescpost = "";
    $filedir = "";


    if (isset($_POST["editpostview"])) {
        $id = $_POST["edit"];
        $sql = "SELECT `id`, `tytul`, `tresc`, `img` FROM `posty` WHERE id=$id";
        $wynik = mysqli_query($con, $sql);
        $data = mysqli_fetch_assoc($wynik);
        $tytulpost = $data["tytul"];
        $trescpost = $data["tresc"];
        $imgpost = $data["img"];
        $names_sub = "editpost";
        $text_button = "edytuj Posta";
        mysqli_close($con);
    }

    if (isset($_POST["add"])) {
        $tytulpost = $_POST["tytul"];
        $trescpost = $_POST["tresc"];
        $filedir = $_POST["filedir"];

        $tytulpost = "'" . htmlspecialchars($tytulpost) . "'";
        $trescpost = "'" . htmlspecialchars($trescpost) . "'";
        $filedir = "'" . htmlspecialchars($filedir) . "'";
        $id_user = "'" . $user_data["user_id"] . "'";
        $data = "'" . date("Y-m-d H:i:s") . "'";

        $sql = "INSERT INTO `posty` (`user_id`,`tytul`, `tresc`, `img` ,`data_utworzenia`,`data_edycji`) VALUES ($id_user ,$tytulpost,$trescpost,$filedir,$data,$data)";

        if (mysqli_query($con, $sql) === TRUE) {
            mail(
                "info@blog.mwslit.eu",
                "nowe post",
                "nowe post został dodany  tytuł : $tytulpost \n\n tresć : $trescpost  \n\n dane dodającego \n\n id usera: $id_user $data_user_man "
            );
            echo "<script type='text/javascript' >alert('artykuł został pomyslenie doadany'); window.location = '../manipulation/postviewsman.php';</script> ";
        } else {
            echo "<script type='text/javascript'>alert('wystąpił błąd podczas dodawania artykułu')</script> ";
        }
        mysqli_close($con);
    }

    if (isset($_POST["editpost"])) {
        $id = $_POST["id"];

        $tytulpost = $_POST["tytul"];
        $trescpost = $_POST["tresc"];
        $filedir = $_POST["filedir"];

        $tytulpost = "'" . htmlspecialchars($tytulpost) . "'";
        $trescpost = "'" . htmlspecialchars($trescpost) . "'";
        $filedir = "'" . htmlspecialchars($filedir) . "'";
        $data = "'" . date("Y-m-d H:i:s") . "'";
        $time = date("h") + 1;
        $data_one = "'" . date("Y-m-d $time:i:s") . "'";

        $data_post = mysqli_fetch_array(mysqli_query($con, "SELECT 'data_edycji' FROM `posty` WHERE `id` = $id "));

        if ($user_data["rola"] == "admin") {
            $sql = "UPDATE `posty` SET `tytul`=$tytulpost,`tresc`=$trescpost,`img`=$filedir , data_edycji =$data WHERE id = $id";
        } else {
            $sql = "UPDATE `posty` SET `tytul`=$tytulpost,`tresc`=$trescpost,`img`=$filedir , data_edycji =$data WHERE id = $id && `user_id` = $user_ids";
        }

        if (mysqli_query($con, $sql) === TRUE) {

            mail(
                "info@blog.mwslit.eu",
                "edytowano posta",
                "post został edytowany  tytuł : $tytulpost \n\n tresć : $trescpost \n\n dane edytującego \n\n id usera: $user_ids $data_user_man "
            );
            echo "<script type='text/javascript' >alert('artykuł został pomyslenie edytowane'); window.location = '../other/post.php?numer=$id';</script> ";
        } else {
            echo "<script type='text/javascript' >alert('wystąpił błąd podczas edytowania artykułu'); window.location = '../other/post.php?numer=$id'';</script>";
        }
        mysqli_close($con);
    }

    if (isset($_POST["dellone"])) {

        $dell = $_POST['dell'];
          $sqlselect = "SELECT * FROM `posty` WHERE `id`= $dell";
            $qerys = mysqli_query($con ,$sqlselect);
             $post_data = "";
             while($row = mysqli_fetch_assoc($qerys)) {
                $post_data .= " \n\n id posta: " . $row['id'];
                $post_data .=" \n\n user_id posta: " . $row['user_id'];
                $post_data .="\n\n tytuł: " . $row['tytul'];
                $post_data .="\n\n tresc: " . $row['tresc'];
                $post_data .="\n\n data utworzenia: " . $row['data_utworzenia'];
                $post_data .="\n\n data edycji: " . $row['data_edycji'];
             }
            
        if ($user_data["rola"] == "admin") {
            $sql = "DELETE FROM `posty` WHERE id=$dell";
        } else {
            $sql = "DELETE FROM `posty` WHERE id=$dell && `user_id` = $user_ids";
        }
        if (mysqli_query($con, $sql) == true) {
            mail(
                "info@blog.mwslit.eu",
                "usunieto posta",
                "post został usuniety dane posta: \n\n $post_data  \n\n dane usuwającego \n\n id usuwającego: $user_ids $data_user_man "
            );
            echo "<script type='text/javascript' >alert('usuwanie zostało wykonane pomyślnie'); window.location = '../manipulation/postviewsman.php';</script>";
        } else {
            echo "<script>alert('wystąpił błąd podczas usuwania artykułów'); window.location = '../manipulation/postviewsman.php';</script>";
        }
        mysqli_close($con);
    }

    if (isset($_POST["delmulti"])) {

        $dells = $_POST['dellmas'];
        $post_data ="";
        if ($dells != null) {
            $sucsses == 0;
            $post_data = "";
            foreach ($dells as $dellsent) {
                 $sqlselect = "SELECT * FROM `posty` WHERE `id`= $dellsent";
                $qerys = mysqli_query($con ,$sqlselect);
                while($row = mysqli_fetch_assoc($qerys)) {
                $post_data .= " \n\n id posta: " . $row['id'];
                $post_data .=" \n\n user_id posta: " . $row['user_id'];
                $post_data .="\n\n tytuł: " . $row['tytul'];
                $post_data .="\n\n tresc: " . $row['tresc'];
                $post_data .="\n\n data utworzenia: " . $row['data_utworzenia'];
                $post_data .="\n\n data edycji: " . $row['data_edycji'];
                if ([$user_data["rola"] == "admin"]) {
                    $sql = "DELETE FROM `posty` WHERE id=$dellsent";
                } else {
                    $sql = "DELETE FROM `posty` WHERE id=$dellsent && `user_id` = $user_ids";
                }
                if (mysqli_query($con, $sql) == true) {
                    $sucsses += 1;
                    $post_data .= " \n\n udało sie usunąć posta o id $dellsent";
                }

             }
            }
            if ($sucsses != 0) {
                mail(
                "info@blog.mwslit.eu",
                "usunieto posta",
                "post został usuniety dane posta: \n\n $post_data  \n\n dane usuwającego \n\n id usuwającego: $user_ids $data_user_man "
                );
                echo "<script>alert('usuwanie zostało wykonane pomyślnie ilosc postów $sucsses'); window.location = '../manipulation/postviewsman.php';</script>";
            } else {
                echo "<script>alert('wystąpił błąd podczas usuwania artykułów'); window.location = '../manipulation/postviewsman.php';</script>";
            }
        }
        mysqli_close($con);
    }
} else {
    header("Location: ../other/index.php");
}
